#define ZPRAV 130     				//pocet zprav ulozenych v cyklickem bufferu
#define ODDELOVAC ';'			//oddelovac prikazu

volatile char buffer[ZPRAV];	//cyklicky buffer
//volatile char* msg=buffer;		//ukazatel na aktualni zpravu
volatile uint8_t doruc=0,vyriz=0;	//pozice nevyrizenych zprav v bufferu
//volatile char *pt=buffer;		//ukazatel na posledni znak aktualni zpravy
void dalsi(void);			//posune buffer zprav,kontrola konce bufferu
uint8_t dalsi2(uint8_t a);
uint8_t konecbuf(uint8_t a,uint8_t b);		//kontrola konce bufferu zprav
void TransmitData(uint8_t* p,uint8_t bytes);
#define TRANSMIT(x) TransmitData((uint8_t*)(&x),sizeof(x));

enum {SERIAL,			//vystup z MU jde na seriovou linku
	  SDCARD,			//vystup z MU se uklada do SD karty
	  POCETBYTU,		//spocita pocet bytu z vystupu
	  };
#define SD_MERENI_ZACATEK 2000
#define SD_LOG_ZACATEK 1000
uint8_t vystup_komunikace=SERIAL;
uint8_t vystup_bytu=0;
uint8_t cteniSD=0;
offset_t SD_offset_cteni=SD_MERENI_ZACATEK;
offset_t SD_offset_zapis=SD_MERENI_ZACATEK;
offset_t delkalogSD=SD_LOG_ZACATEK;
uint8_t lognacten=0;
uint8_t logovatSD=0;
uint8_t nastavSD(void);
uint8_t uloz_nastaveniSD(void);
uint8_t uloz_delku_mereniSD(void);
uint8_t zapnicteniSD(void);

//uint8_t indexm(void);
//uint8_t indexm(uint8_t prikazu,MER* povelm);
uint8_t indexP(uint8_t prikazu,MERP* p);


#include "prikazy.h"
#include "odesilat.h"
#include "komunikace.c"
#include "prikazy.c"
